import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/index'

import BootstrapVue from 'bootstrap-vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

import { library } from '@fortawesome/fontawesome-svg-core'
import {
  faCar, faChargingStation, faRoad,
  faUtensils, faDirections,
  faFileInvoiceDollar, faMoneyBillWave, faCreditCard,
  faShoppingCart, faShoppingBasket
} from '@fortawesome/free-solid-svg-icons'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

library.add(
  faCar, faChargingStation, faRoad,
  faUtensils, faDirections,
  faFileInvoiceDollar, faMoneyBillWave, faCreditCard,
  faShoppingCart, faShoppingBasket
)

Vue.component('font-awesome-icon', FontAwesomeIcon)

Vue.use(BootstrapVue)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
